// Esse script roda dentro da pagina do mydas e se comunica com o script do unbounce via eventos
(function() {
  window.addEventListener("message", receiveMessage, false);
  console.log('MYADS listening...')

    function receiveMessage(event) {
      if (event.origin === "http://769a840c9cc94c6093a89b142f28d291.pages.ubembed.com") {
        console.log('MYADS - received msg from unbounce js: ', { data: event.data })
        if (event.data && event.data.action && event.data.action === 'get-ads') {
          let payload = []
          // gets ads from DOM by href link
          var adsElements = document.querySelectorAll('a[href*="olx.com.br/vi"]')
          // loop through elements 2 by 2 because the ad images also are links
          for (var i = 0; i < adsElements.length; i++) {
            console.log('MYADS - inside for: ', i)
            if (i%2 === 0) {
              console.log('MYADS - jumping...', i)
              continue
            }
            console.log('MYADS - updating payload...', i)
            payload.push({
              title: adsElements[i].text,
              adId: adsElements[i].href.replace('https://www.olx.com.br/vi/', '')
            })
          }
          event.source.postMessage({ action: 'get-ads', type: 'response', payload }, event.origin)
        }
        return;
      }
      return;
    }
// Aqui realmente baixamos o script do unbounce (deveria estar rodeado pelo teste de experimento?)
    var unbounce_script = document.createElement('script');
    unbounce_script.setAttribute('src','https://769a840c9cc94c6093a89b142f28d291.js.ubembed.com');
    unbounce_script.setAttribute('async', true);
    document.head.appendChild(unbounce_script);
})();