// Esse cript roda dentro do modal do unbounce (para publicar deve ser copiado para o unbounce)
// e se comunica com o script que roda dentro da pagina do myads via eventos
console.debug(`%c [MYADS VX UNBOUNCE JS] \n Running custom js...`, 'background: #002833; color: #258bd2')

// Utils
function log(st) {
  console.debug(`%c [MYADS VX UNBOUNCE JS] \n${st}`, 'background: #002833; color: #258bd2')
}
function invalidateUrlInput() {
  document.getElementById('videolink').style.borderColor = "red"
}
function validateUrlInput() {
  document.getElementById('videolink').style.borderColor = ""
}
const MYADS_ORIGIN = "http://local.olx.com.br:3000" // in prod should be myads origin

// Script
log('listening...')
window.addEventListener("message", receiveMessage, false)

function receiveMessage(event) {
  console.log('UNBOUCE JS - received msg from myads: ', { data: event.data })
  if (event.origin === MYADS_ORIGIN) {
    if (
      event.data &&
      event.data.action &&
      event.data.action === 'get-ads' &&
      event.data.type === 'response'
    ) {
      console.log('UNBOUCE JS - received ads: ', event.data.payload)
      const ads = event.data.payload || []
      if (ads.length === 0) {
        // desculpe mundo. Se ainda nao tem ads na tela, pergunta de novo.
        window.parent.postMessage({ action: 'get-ads', type: 'request' }, MYADS_ORIGIN)
        return
      }
      const selectList = document.getElementById('qual_anúncio_você_quer_inserir_um_vídeo')
      ads.forEach(ad => {
        var option = document.createElement("option")
        option.value = ad.adId
        option.text = ad.title
        selectList.appendChild(option)
      })
    }
    return
  }
}

// FIRST GET ADDS:
window.parent.postMessage({ action: 'get-ads', type: 'request' }, MYADS_ORIGIN)

// Form submit overwrite:
log('OVERRIDING FORM SUBMIT')
// document.getElementsByTagName('form')[0].submit = function(e) {
//   e.preventDefault()
//   log('noice form submiting')
// }
